import { BaseType, Pair } from "../Base/Base";
export declare type HashMapType<T, K> = {
    forEach: (callback: (element: Pair<T, K>, index: number) => void) => void;
    find: (element: T) => boolean;
    getElementByKey: (key: T) => K | undefined;
    setElement: (key: T, value: K) => void;
    eraseElementByKey: (key: T) => void;
} & BaseType;
declare const _default: new <T, K>(container?: {
    forEach: (callback: (element: Pair<T, K>) => void) => void;
} | undefined, initBucketNum?: number | undefined, hashFunc?: ((x: T) => number) | undefined) => HashMapType<T, K>;
export default _default;
